Subject: Re: d80211: ieee80211_hw handlers in atomic context

From: Ivo van Doorn <[email-masked]>
Date: Wed, 4 Oct 2006 19:22:38 +0200

Hi,

> > On Wed, 4 Oct 2006 18:34:57 +0200, Ivo van Doorn wrote:
> >> You could replace the timer with a workqueue, the original patch
> >> also did that, so I think it would be good enough this time as well. :)
> > 
> > Yes, the timing isn't required to be precise here.
> 
> Ok, I'm not promising success and I'm going to duck immediately if
> someone else feels like working on it, but I could try to patch in this
> direction.

If you need testing of the patch for a slightly larger audience,
you can send it to me and I'll place it in the rt2x00 CVS tree which contains
a copy of the current dscape stack for backwards compatibility with older kernels.

> Now there just remains my precautious question if there are other
> services in the ieee_80211_hw interface that may conflict with sleeping
> USB drivers. What about specifying the possible contexts in
> include/net/d80211.h?

Well another point of concern for me is the TSF handling, those handlers are called
from interrupt context as well, and also deliver problems for the USB drivers in case
of adhoc mode.

Ivo